## VOICE End Call request VOICE End Call request |

## Functions

QmiMessageVoiceEndCallInput * | qmi_message_voice_end_call_input_new ()
QmiMessageVoiceEndCallInput * | qmi_message_voice_end_call_input_ref ()
void | qmi_message_voice_end_call_input_unref ()
gboolean | qmi_message_voice_end_call_input_get_call_id ()
gboolean | qmi_message_voice_end_call_input_set_call_id ()
QmiMessageVoiceEndCallOutput * | qmi_message_voice_end_call_output_ref ()
void | qmi_message_voice_end_call_output_unref ()
gboolean | qmi_message_voice_end_call_output_get_call_id ()
gboolean | qmi_message_voice_end_call_output_get_result ()
void | qmi_client_voice_end_call ()
QmiMessageVoiceEndCallOutput * | qmi_client_voice_end_call_finish ()

## Types and Values

| QmiMessageVoiceEndCallInput
| QmiMessageVoiceEndCallOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageVoiceEndCallInput
        ╰── QmiMessageVoiceEndCallOutput

## Description

## Functions

### qmi_message_voice_end_call_input_new ()

    QmiMessageVoiceEndCallInput *
    qmi_message_voice_end_call_input_new (void);

Allocates a new QmiMessageVoiceEndCallInput.

#### Returns

the newly created QmiMessageVoiceEndCallInput. The returned value should be freed with `qmi_message_voice_end_call_input_unref()`.

Since: 1.14

### qmi_message_voice_end_call_input_ref ()

    QmiMessageVoiceEndCallInput *
    qmi_message_voice_end_call_input_ref (QmiMessageVoiceEndCallInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceEndCallInput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_voice_end_call_input_unref ()

    void
    qmi_message_voice_end_call_input_unref
                                   (QmiMessageVoiceEndCallInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceEndCallInput. |

Since: 1.14

### qmi_message_voice_end_call_input_get_call_id ()

    gboolean
    qmi_message_voice_end_call_input_get_call_id
                                   (QmiMessageVoiceEndCallInput *self,
                                    guint8 *value_call_id,
                                    GError **error);

Get the 'Call ID' field from `self` .

#### Parameters

self | a QmiMessageVoiceEndCallInput. |
value_call_id | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_voice_end_call_input_set_call_id ()

    gboolean
    qmi_message_voice_end_call_input_set_call_id
                                   (QmiMessageVoiceEndCallInput *self,
                                    guint8 value_call_id,
                                    GError **error);

Set the 'Call ID' field in the message.

#### Parameters

self | a QmiMessageVoiceEndCallInput. |
value_call_id | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_voice_end_call_output_ref ()

    QmiMessageVoiceEndCallOutput *
    qmi_message_voice_end_call_output_ref (QmiMessageVoiceEndCallOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceEndCallOutput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_voice_end_call_output_unref ()

    void
    qmi_message_voice_end_call_output_unref
                                   (QmiMessageVoiceEndCallOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceEndCallOutput. |

Since: 1.14

### qmi_message_voice_end_call_output_get_call_id ()

    gboolean
    qmi_message_voice_end_call_output_get_call_id
                                   (QmiMessageVoiceEndCallOutput *self,
                                    guint8 *value_call_id,
                                    GError **error);

Get the 'Call ID' field from `self` .

#### Parameters

self | a QmiMessageVoiceEndCallOutput. |
value_call_id | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_voice_end_call_output_get_result ()

    gboolean
    qmi_message_voice_end_call_output_get_result
                                   (QmiMessageVoiceEndCallOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageVoiceEndCallOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.14

### qmi_client_voice_end_call ()

    void
    qmi_client_voice_end_call (QmiClientVoice *self,
                               QmiMessageVoiceEndCallInput *input,
                               guint timeout,
                               GCancellable *cancellable,
                               GAsyncReadyCallback callback,
                               gpointer user_data);

Asynchronously sends a End Call request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_voice_end_call_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientVoice. |
input | a QmiMessageVoiceEndCallInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.14

### qmi_client_voice_end_call_finish ()

    QmiMessageVoiceEndCallOutput *
    qmi_client_voice_end_call_finish (QmiClientVoice *self,
                                      GAsyncResult *res,
                                      GError **error);

Finishes an async operation started with `qmi_client_voice_end_call()`.

#### Parameters

self | a QmiClientVoice. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_voice_end_call()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageVoiceEndCallOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_voice_end_call_output_unref()`.

Since: 1.14

## Types and Values

### QmiMessageVoiceEndCallInput

    typedef struct _QmiMessageVoiceEndCallInput QmiMessageVoiceEndCallInput;

The QmiMessageVoiceEndCallInput structure contains private data and should only be accessed using the provided API.

Since: 1.14

### QmiMessageVoiceEndCallOutput

    typedef struct _QmiMessageVoiceEndCallOutput QmiMessageVoiceEndCallOutput;

The QmiMessageVoiceEndCallOutput structure contains private data and should only be accessed using the provided API.

Since: 1.14